Bug 827026

Summary: USB camera not working. Grey preview
Product: [Fedora] Fedora Reporter: John Bouras <jlbouras>
Component: kernelAssignee: Hans de Goede <hdegoede>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: gansalmon, hdegoede, itamar, jforbes, jonathan, kernel-maint, madhu.chinakonda
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-09-12 12:36:54 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description John Bouras 2012-05-31 09:18:50 EDT
Description of problem:
When using a USB camera in Cheese, Google Talk plugin, guvcviewer, Skype, etc., preview screen is grey. No video image

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1.Start any of the above mentioned camera softwares
2.View gray preview screen output
3.
  
Actual results:
Grey preview screen output

Expected results:
Preview screen output image of direction camera is facing

Additional info:
The camera I am using worked fine in those programs under Fedora 16. I made a clean install of Fedora 17 on Tuesday.

***The chosen component is a guess.***
Comment 1 Hans de Goede 2012-06-02 04:43:57 EDT
Hi,

Given that the same problem shows up in all the different programs you tried, this is likely a kernel problem -> changing the component to kernel.

For starters, we need to know what camera you have, can you run lsusb in a terminal and copy and paste the output here?

Regards,

Hans
Comment 2 John Bouras 2012-06-02 05:16:42 EDT
Dear Hans,

This morning I plugged in a very old Logitech Quickcam for Notebooks Pro camera and it works just fine. The camera I am having trouble with (that I did not have trouble with last week on Fedora 16) is a RocketFish HD Webcam Model # RF-HDWEB. I am not sure who makes RocketFish products. The lsusb output reports that "Dynex" is the manufacturer, but the RocketFish website claims that Best Buy, who is the distributor of this product, is also the manufacturer.

Here is the lsusb output with the RocketFish camera plugged in.

Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 002: ID 0a5c:2110 Broadcom Corp. Bluetooth Controller
Bus 003 Device 003: ID 0483:2016 SGS Thomson Microelectronics Fingerprint Reader
Bus 006 Device 002: ID 17ef:1003 Lenovo Integrated Smart Card Reader
Bus 001 Device 015: ID 19ff:0218 Dynex 

Since my installation is pretty fresh, I don't have any other kernel installed to play with.
Comment 3 Hans de Goede 2012-06-02 06:04:20 EDT
Hmm, that usb-id does not use any special driver, so likely it is a UVC camera. Do you know with which kernel version the camera was working in F-16?

The best thing to do would be to install an F-16 kernel, download it here:
http://koji.fedoraproject.org/koji/packageinfo?packageID=8

And then install it using:
rpm -ivh kernel-.....rpm

And reboot into that kernel. Then once you know what is the last working and the first non-working kernel,
send a mail explaining your problem to the uvcvideo driver mailing list: linux-uvc-devel@lists.berlios.de
Comment 4 John Bouras 2012-06-02 06:13:44 EDT
I really don't know what kernel I was using when the camera was working. It's funny how, for most people, when things are working fine we don't document, but when things go wrong we wish we did.

I briefly glanced through the list of kernels on that page you sent and didn't see any PAE kernels. I'll keep looking.
Comment 5 Hans de Goede 2012-06-02 08:41:34 EDT
Hi,

(In reply to comment #4)
> I really don't know what kernel I was using when the camera was working.
> It's funny how, for most people, when things are working fine we don't
> document, but when things go wrong we wish we did.
> 
> I briefly glanced through the list of kernels on that page you sent and
> didn't see any PAE kernels. I'll keep looking.

The PAE builds are part of the regular builds. For starters I would try a 3.2.x build for F-16 with your F-17 system, ie: http://koji.fedoraproject.org/koji/buildinfo?buildID=307526

Regards,

Hans